# -*- coding: utf-8 -*-

from Components.config import config, ConfigSubsection, ConfigYesNo, ConfigSelection, ConfigSelectionNumber

#######################################################
# Initialize Configuration
config.plugins.updatecheck = ConfigSubsection()

config.plugins.updatecheck.enable_autocheck 		= ConfigSelection(choices=[("False",_("no")), ("update",_("Info nur bei Updates")), ("True",_("immer"))], default = "False")
config.plugins.updatecheck.popups_timeout 			= ConfigSelectionNumber(0, 20, 1, default = 15)
config.plugins.updatecheck.show_updatequestion	= ConfigSelection(choices=[("False",_("no")), ("True",_("yes"))], default = "False")
config.plugins.updatecheck.updatequestion_defaultanswer	= ConfigSelection(choices=[("False",_("no")), ("True",_("yes"))], default = "False")
config.plugins.updatecheck.ignore_hold 		= ConfigYesNo(default = False)
config.plugins.updatecheck.update_timeout = ConfigSelectionNumber(5, 20, 5, default = 5)
config.plugins.updatecheck.updatecheck_delay = ConfigSelectionNumber(0, 30, 5, default = 5)